import timer from "./lib/timer1";
//import sql from "../../inc/sql";

export default bot => {
  bot._trigger.set("timer", new bot.trigger({
    call: /^(\.|\/)timer .*/i,
    set: "nxy",
    level: 100,
    help: {
      text: "(WIP) Sets a timer, delay can be: s, m, h, d, w, mon, y",
      usage: "[b].timer[/b] [i]<delay>[/i] [i]<message>[/i]..."
    },
    active: true,
    f: e => {
      const t = e.args.shift()
          , msg = e.args.join(" ");

      if(t === "debug" && e.user.level.level >= 100)
        return e.reply( JSON.stringify([...timer._timers.entries()]) );

      timer.add(t, {
        prefix: e.user.prefix,
        target: JSON.stringify({
          nick: e.user.nick,
          type: e.type,
          network: e.network,
          channel: e.channelid
        }),
        message: msg,
        delay: t
      }).then(tmp => {
        //e.reply(JSON.stringify([...timer._timers.entries()]));
      }).catch(err => {
        e.reply(err);
      });
    }
  }));
};